Bug 540441 - X crashes with F12
Summary: X crashes with F12
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-geode   
(Show other bugs)
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-23 11:56 UTC by billiboy
Modified: 2010-12-04 02:56 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-04 02:56:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.log of crash (14.07 KB, text/plain)
2009-11-23 11:56 UTC, billiboy
no flags Details
gdb.log (10.25 KB, text/plain)
2010-01-20 19:26 UTC, billiboy
no flags Details
Konsole picture to show (364.57 KB, image/png)
2010-08-24 03:22 UTC, frank huang
no flags Details
2.11.9 geode driver library (1.21 MB, text/plain)
2010-08-25 02:08 UTC, frank huang
no flags Details
xorg-x11-drv-geode-2.11.9-1.fc12.i386.rpm (626.79 KB, text/plain)
2010-08-25 18:43 UTC, billiboy
no flags Details
Xorg.log of crash with version 2.11.9 (401 bytes, text/plain)
2010-08-25 18:46 UTC, billiboy
no flags Details
Xorg.log of crash with version 2.11.9 (13.95 KB, text/plain)
2010-08-25 19:29 UTC, billiboy
no flags Details
my xorg.conf (2.39 KB, text/plain)
2010-08-26 09:26 UTC, frank huang
no flags Details
/etc/rc.d/init.d/livesys-late from live CD image (2.17 KB, text/plain)
2010-08-26 19:51 UTC, billiboy
no flags Details
working xorg.conf (402 bytes, text/plain)
2010-08-27 12:10 UTC, billiboy
no flags Details
F12 Desktop snapshot without Option MigrationHeuristic greedy (248.69 KB, image/png)
2010-08-30 07:39 UTC, billiboy
no flags Details
F14 Desktop snapshot without Option MigrationHeuristic greedy (287.97 KB, image/png)
2010-08-30 07:41 UTC, billiboy
no flags Details
F14 Desktop snapshot with Option MigrationHeuristic greedy set (301.63 KB, image/png)
2010-08-30 07:43 UTC, billiboy
no flags Details
Konsole picture in FC12(similar as yours),24 bit depth (249.87 KB, image/png)
2010-08-30 08:28 UTC, frank huang
no flags Details
01-fix-lx_panel_modes.patch (1.25 KB, text/plain)
2010-08-31 11:45 UTC, billiboy
no flags Details

Description billiboy 2009-11-23 11:56:20 UTC
Created attachment 373088 [details]
Xorg.log of crash

How to reproduce:
                                                                                                                                                                                                                                                                                                                           
Boot Fedora-12-i686-Live-KDE                                                                                                                                                        
Right click on desktop                                                                                                                                                              
Click Konsole                                                                                                                                                                       
Click Settings                                                                                                                                                                      
Click Edit Current Profile                                                                                                                                                          
Click Appearence                                                                                                                                                                    
Click scrollbar down button of Color Scheme & Background                                                                                                                            
                                                                                                                                                                                    
Bang!                                                                                                                                                                               
                                                                                                                                                                                    
Other scrollbar down actions also trigger the crash.

Comment 1 Søren Sandmann Pedersen 2010-01-17 20:08:42 UTC
Thanks for the bug report. There is a reasonable chance that this is a bug in the geode driver. If you can try the following things, that would be helpful:

- Does it happen with the vesa driver?

- Does it happen with pixman 0.16.4? (It probably does, but we may as well look at the latest version).

- Try installing pixman-debuginfo, then logging in remote and get a backtrace from gdb

Comment 2 billiboy 2010-01-20 19:26:46 UTC
Created attachment 385760 [details]
gdb.log

Comment 3 billiboy 2010-01-20 19:29:05 UTC
(In reply to comment #1)
> - Does it happen with the vesa driver?

It does not happen with vesa driver nor fbdev driver in F12.
It does not happen with xorg-x11-drv-geode-2.11.2-1 in F11.
 
> - Does it happen with pixman 0.16.4? (It probably does, but we may as well look
> at the latest version).

It does also happen with pixman-0.16.4-2
 
> - Try installing pixman-debuginfo, then logging in remote and get a backtrace
> from gdb    

I installed pixman-0.16.4-2 and pixman-debuginfo-0.16.4-2 in
Fedora-12-i686-Live-KDE. Sorry I am a stupid user only.
I read http://fedoraproject.org/wiki/StackTraces but it dos not give me any clue how to get the backtrace you requested in respect to the automatic restarting X. I did some experiments and maybe gdb.log contains what you are looking for.

Comment 4 billiboy 2010-01-22 16:48:37 UTC
Another observation:

In xorg.conf I have this line in Section "Device":
--
	Option     "MigrationHeuristic" "greedy"
--

When I use:
--
	Driver      "vesa"
--

then in Xorg.0.log is this line:
--
(WW) VESA(0): Option "MigrationHeuristic" is not used
--

When I use:
--
	Driver      "geode"
--

and comment out the Option "MigrationHeuristic" "greedy" line
the crash does not happen.

Comment 5 frank huang 2010-03-15 09:34:45 UTC
Have the same issue.
The X server crash when startx in FC12 using geode driver.

Comment 6 frank huang 2010-08-24 03:21:00 UTC
billiboy,

   Several monthes ago, I have replied you here. I use FC12(Fedora-12-i386-DVD.iso) to install my Fedora env and use KDE to reproduce what you got.
   Right now following your steps here I dont't get hang again with currecnt 2.11.9 driver. Can you give a try? 
   I post a picture for your reference.Please check.
   Much rendering bugs have been fixed in this version driver.

Thanks,
Frank

Comment 7 frank huang 2010-08-24 03:22:29 UTC
Created attachment 440548 [details]
Konsole picture to show

Konsole picture to show

Comment 8 billiboy 2010-08-24 14:11:54 UTC
(In reply to comment #6)

As my geode pc is mainly used as router appliance I have not
installed a full blown desktop environment. The only easy
way to have the KDE environment is to use a live CD image.
Building the geode_drv.so in that environment is not that
easy. If you can provide a link where I can download
the geode_drv.so binary from your FC12 environment, I
can mange to use it in the KDE live CD and do your
requested tests.

Comment 9 frank huang 2010-08-25 02:08:30 UTC
Created attachment 440817 [details]
2.11.9 geode driver library

Please give a try.
Compiled udner FC12.

Comment 10 frank huang 2010-08-25 02:11:11 UTC
Got the idea.
Please try the binary file attached.

Comment 11 billiboy 2010-08-25 18:43:02 UTC
Created attachment 441021 [details]
xorg-x11-drv-geode-2.11.9-1.fc12.i386.rpm

When I use the binary from comment #9 in Fedora-12 this is in the Xorg.log:

--
(II) LoadModule: "geode"
(II) Loading /usr/lib/xorg/modules/drivers/geode_drv.so
(II) Module geode: vendor="X.Org Foundation"
        compiled for 1.7.99.901, module version = 2.11.9
        Module class: X.Org Video Driver
        ABI class: X.Org Video Driver, version 7.0
(EE) module ABI major version (7) doesn't match the server's version (6)
(II) UnloadModule: "geode"
(II) Unloading /usr/lib/xorg/modules/drivers/geode_drv.so
(EE) Failed to load module "geode" (module requirement mismatch, 0)
(EE) No drivers available.
--

So it looks like the binary is not be build for Fedora-12 environment as
the latest available X.Org X Server update there is version 1.7.6.

I managed to build my own rpm in the live system, see the attachment
xorg-x11-drv-geode-2.11.9-1.fc12.i386.rpm for reference.
With this driver I can reproduce the crash also when this:

--
        Option     "MigrationHeuristic" "greedy"
--

is in the xorg.conf.


I tested also the Fedora-14-Alpha-i686-Live-KDE image and can not reproduce
the crash there.

This is in the CHANGELOG of the used xorg-x11-drv-geode-2.11.4.1-4.fc14.i686:

--
* Mon Jul  5 14:00:00 2010 Dave Airlie <airlied@redhat.com> 2.11.4.1-4
- update to geode git for latest server API
--

and this is in the Xorg.0.log of the running Fedora-14-Alpha-i686-Live-KDE

--
[  1172.105] (II) LoadModule: "geode"
[  1172.115] (II) Loading /usr/lib/xorg/modules/drivers/geode_drv.so
[  1172.116] (II) Module geode: vendor="X.Org Foundation"
[  1172.117]    compiled for 1.8.99.904, module version = 2.11.8
[  1172.117]    Module class: X.Org Video Driver
[  1172.117]    ABI class: X.Org Video Driver, version 8.0
--

So I can not tell what version this really is.

Conclusion:
Updating the xorg-x11-drv-geode in Fedora-12 does not fix the crash
there, using the recent Fedora-14-Alpha no longer triggers the crash.

Comment 12 billiboy 2010-08-25 18:46:35 UTC
Created attachment 441022 [details]
Xorg.log of crash with version 2.11.9

Comment 13 billiboy 2010-08-25 19:29:52 UTC
Created attachment 441033 [details]
Xorg.log of crash with version 2.11.9

wrong content in attachement of comment #12
this is the correct one.

Comment 14 frank huang 2010-08-26 09:25:55 UTC
(In reply to comment #11)
> Created attachment 441021 [details]
> xorg-x11-drv-geode-2.11.9-1.fc12.i386.rpm
> 
> When I use the binary from comment #9 in Fedora-12 this is in the Xorg.log:
> 
> --
> (II) LoadModule: "geode"
> (II) Loading /usr/lib/xorg/modules/drivers/geode_drv.so
> (II) Module geode: vendor="X.Org Foundation"
>         compiled for 1.7.99.901, module version = 2.11.9
>         Module class: X.Org Video Driver
>         ABI class: X.Org Video Driver, version 7.0
> (EE) module ABI major version (7) doesn't match the server's version (6)
> (II) UnloadModule: "geode"
> (II) Unloading /usr/lib/xorg/modules/drivers/geode_drv.so
> (EE) Failed to load module "geode" (module requirement mismatch, 0)
> (EE) No drivers available.
> --
> 
> So it looks like the binary is not be build for Fedora-12 environment as
> the latest available X.Org X Server update there is version 1.7.6.
Yes, my Xserver is 1.7.99.901. I have not done update to Xserver. So the ABI error is reported.
> 
> I managed to build my own rpm in the live system, see the attachment
> xorg-x11-drv-geode-2.11.9-1.fc12.i386.rpm for reference.

> With this driver I can reproduce the crash also when this:
> 
> --
>         Option     "MigrationHeuristic" "greedy"
> --
> 
> is in the xorg.conf.
Why do you use this option? I have tried with this option on my FC12, no crash is found. But icons on desktop is missing. 
> 
> 
> I tested also the Fedora-14-Alpha-i686-Live-KDE image and can not reproduce
> the crash there.
> 
> This is in the CHANGELOG of the used xorg-x11-drv-geode-2.11.4.1-4.fc14.i686:
> 
> --
> * Mon Jul  5 14:00:00 2010 Dave Airlie <airlied@redhat.com> 2.11.4.1-4
> - update to geode git for latest server API
> --
2.11.4 under FC14? Seems too old. By the way, you install FC14 alpha from live CD/DVD? Afaik, it is not supported from FC13 on geode platfrom to install.
> 
> and this is in the Xorg.0.log of the running Fedora-14-Alpha-i686-Live-KDE
> 
> --
> [  1172.105] (II) LoadModule: "geode"
> [  1172.115] (II) Loading /usr/lib/xorg/modules/drivers/geode_drv.so
> [  1172.116] (II) Module geode: vendor="X.Org Foundation"
> [  1172.117]    compiled for 1.8.99.904, module version = 2.11.8
> [  1172.117]    Module class: X.Org Video Driver
> [  1172.117]    ABI class: X.Org Video Driver, version 8.0
> --
> 
> So I can not tell what version this really is.
> 
> Conclusion:
> Updating the xorg-x11-drv-geode in Fedora-12 does not fix the crash
> there, using the recent Fedora-14-Alpha no longer triggers the crash.
I attached my xorg.conf, Please refer.

Comment 15 frank huang 2010-08-26 09:26:42 UTC
Created attachment 441150 [details]
my xorg.conf

Please refer

Comment 16 frank huang 2010-08-26 09:33:39 UTC
Same thing, I can not use your geode_drv.so in rpm ball. X server version issue.

Comment 17 billiboy 2010-08-26 19:51:06 UTC
Created attachment 441320 [details]
/etc/rc.d/init.d/livesys-late from live CD image

(In reply to comment #14)

>Yes, my Xserver is 1.7.99.901. I have not done update to Xserver. So the ABI
>error is reported.

As I wrote already the latest Fedora 12 Xserver in the official
F12 updates is version 1.7.6. Your 1.7.99.901 is newer.
Either you updated it from some unofficial F12 repository
or you are not running a native Fedora 12 system.

>> With this driver I can reproduce the crash also when this:
>> 
>> --
>>         Option     "MigrationHeuristic" "greedy"
>> --
>> 
>> is in the xorg.conf.

>Why do you use this option? I have tried with this option on my FC12, no crash
>is found. But icons on desktop is missing. 

It was already there in xorg.conf. In the live CD image
/etc/rc.d/init.d/livesys-late is creating the xorg.conf for all
systems with geode processor. See  the attachment
"/etc/rc.d/init.d/livesys-late from live CD image" for reference.
I only changed the parameters to fit my requirements and did not
touch the ones I am not aware why they are there.
Oh, by the way the wrong content in attachment of comment #12
is the xorg.conf I am using.

>2.11.4 under FC14? Seems too old.

IMHO it is something between 2.11.8 and 2.11.9. It is advertising 2.11.8
as can be seen by the Xorg.0.log snippet, and from the "update to geode
git for latest server API" from the CHANGELOG I guess it is something newer.
Because it is no official release version the package maintainer did
probably not update the package version number.

> By the way, you install FC14 alpha from live CD/DVD?

No, I did not install anything. The advantage of a live image is, you
download the image, burn it on a CD/DVD or put it on an USB-stick and
boot from there. After boot-up you get a fully functional system with
a read/write file system. Modifications are only kept in memory, you
can mess with the system as you like. For a fresh system only a reboot
is required. Switching versions is only selecting the right live image.

> Afaik, it is not supported from FC13 on geode platfrom to install.

That is right, F13 does not support geode processor, but in F14 the
support will be restored. See https://fedorahosted.org/fesco/ticket/387
for reference.

>I attached my xorg.conf, Please refer.

By the way I see there are many Modeline entries in your xorg.conf.
AFAIK that parameter is no longer supported since 2.11.0 and you
have to use the PanelMode entry.
See https://bugs.freedesktop.org/show_bug.cgi?id=19301 comment 5
for reference.

Comment 18 frank huang 2010-08-27 09:10:19 UTC
Answer here with no quote.
1)Yes. I am now a maintainer for geode graphics driver under linux after Jordan(experienced guy from AMD too) left. So I built an environment on my FC12 to debug driver. Sorry for my non-explanation before. So my driver binary file is based on X server 1.7.99.901.
2)Because I built my Xserver from scratch. So I use "Xorg -configure" to get a xorg.conf. You can give a try too and replace your old one.
3)So the version number 2.11.4 is not number series in freedesktop git? I have no idea
4) You use an Live CD in memory use or an Hard Disk with install? I am still puzzled by your explantion still.
5)Yeah, I have seen the restore.
6)For the Modeline support, you can revert the patch below:
http://cgit.freedesktop.org/xorg/driver/xf86-video-geode/commit/?id=e9447f5335681a78cf87ebf8c9659a6fecfc9746
This patch has some problem that still not be solved now. It can not filter the Modeline in xorg.conf pass. So Just revert the patch and give a try.

I am now create a Fedora 13 Live CD and give a try.

Comment 19 billiboy 2010-08-27 12:10:03 UTC
Created attachment 441491 [details]
working xorg.conf

(In reply to comment #18)
 
> Answer here with no quote.
> 1)Yes. I am now a maintainer for geode graphics driver under linux after
> Jordan(experienced guy from AMD too) left. So I built an environment on my FC12
> to debug driver. Sorry for my non-explanation before. So my driver binary file
> is based on X server 1.7.99.901.

So you are not using a native Fedora 12 system. The test request from
comment #6 was to prove that updating to 2.11.9 will fix the crash.
To get a reasonable result all other components have to stay the same
from the crashing system.
IMHO if you build 2.11.4 for your environment I am quite sure the
crash will also not happen.
IMHO there is some other culprit then the xorg-x11-drv-geode responsible
for the crash in the xorg version of Fedora 12.


> 2)Because I built my Xserver from scratch. So I use "Xorg -configure" to get a
> xorg.conf. You can give a try too and replace your old one.

My xorg.conf (see attachment working xorg.conf) does not trigger the
the crash. To trigger the crash, the comment from the line "OptionMigrationHeuristic" has to be removed.
Because of the non working autodetection of the 1280x1024 mode I have
to use this xorg.conf.
See https://bugs.freedesktop.org/show_bug.cgi?id=19301 for reference.

> 3)So the version number 2.11.4 is not number series in freedesktop git? I have
> no idea

Yes and no, the former content of the xorg-x11-drv-geode rpm was based
on the released freedesktop version, but the last update uses a
freedesktop git snapshot with no official freedesktop version.
So there is no valid version number to put in the rpm package version.
It is between 2.11.8 and 2.11.9. Calling it 2.11.8 or 2.11.9 is equally
wrong than 2.11.4, so they stay with the old one. There is no point in
changing one wrong with an other wrong.


> 4) You use an Live CD in memory use or an Hard Disk with install? I am still
> puzzled by your explantion still.

I booted the live CD image from an USB-stick (no difference as booted
from a real CD) there is no Hard Disk involved nor installation.

> 5)Yeah, I have seen the restore.
> 6)For the Modeline support, you can revert the patch below:
> http://cgit.freedesktop.org/xorg/driver/xf86-video-geode/commit/?id=e9447f5335681a78cf87ebf8c9659a6fecfc9746
> This patch has some problem that still not be solved now. It can not filter the
> Modeline in xorg.conf pass. So Just revert the patch and give a try.

No need, as it is working for me in Fedora 12 now.
For updating I move on with the upcoming Fedora 14 release,
Fedora 13 was a no go for me.

> I am now create a Fedora 13 Live CD and give a try.

Comment 20 frank huang 2010-08-30 03:04:27 UTC
billiboy,
  If my understanding is right, when you use "OptionMigrationHeuristic", the crash will happen, while that is commented, there is no crash. Is it correct? So you can use geode driver now.
  And I show your my xorg.conf(Using X -configure to generate). It can work with me. No crash is found.
  I create an Live CD and give a try, unfortunely the "i8042.c: Can't read CTR while initializing i8042" always display on the screen and don't go on. So it is hard for me to reproduce what you get. I'll try a Fedora-13-i386-DVD.iso(completely installtion) to install it. Your install method is quite similar with bug 616161 user. I have seen your reply there.
  

Thanks,
Frank

Comment 21 billiboy 2010-08-30 07:39:51 UTC
Created attachment 441897 [details]
F12 Desktop snapshot without Option MigrationHeuristic greedy

(In reply to comment #20)

>   If my understanding is right, when you use "OptionMigrationHeuristic", the
> crash will happen, while that is commented, there is no crash. Is it correct?

Yes, that is correct.

> So you can use geode driver now.

Kind of, without "OptionMigrationHeuristic" I get rendering issues.
See attachment "F12 Desktop snapshot without Option MigrationHeuristic greedy"
for reference.

>   And I show your my xorg.conf(Using X -configure to generate). It can work
> with me. No crash is found.

I have done some more tests with this option in F14-Alpha.
Without this option I get also rendering issues.
See attachment "F14 Desktop snapshot without Option MigrationHeuristic greedy".

With this option set, rendering is OK.
See attachment "F14 Desktop snapshot with Option MigrationHeuristic greedy set".
BTW, I am using 24bpp (DefaultDepth 24).

>   I create an Live CD and give a try, unfortunely the "i8042.c: Can't read CTR
>  while initializing i8042" always display on the screen and don't go on. So it
> is hard for me to reproduce what you get. I'll try a

This is while there is no legacy keyboard controller, this is no problem.
Because of the low performance of the geode system it takes quite a time
to upload the live image. For me F12 takes round about 6 minutes and
F14 is more than 9 minutes. So you have to be a little bit patient before
the system is usable.

Comment 22 billiboy 2010-08-30 07:41:45 UTC
Created attachment 441898 [details]
F14 Desktop snapshot without Option MigrationHeuristic greedy

Comment 23 billiboy 2010-08-30 07:43:18 UTC
Created attachment 441899 [details]
F14 Desktop snapshot with Option MigrationHeuristic greedy set

Comment 24 frank huang 2010-08-30 08:25:56 UTC
F12 with the new driver on KDE environment has no rendering issue on my platform(16 && 24 bit depth color), please see attached file. Use "rendercheck" to see the depth of the screen. If that is r8g8b8, it is 24 bit depth.
If that is always misrendering at your platform, have you tried depth 16? It is hard for me to debug the bug if I can not reproduce it.
For the 8042 error, I wait quite few minutes, still can not pass it...
And I have tried the Fedora-13-i386-DVD.iso and Fedora-13-i686-Live.iso , the OS can not be installed just as the FC13 can not support Geode. So I must use the way of yours (Live CD). But how can I pass this 8042 error??
FC13 and FC14 rendering issue is reported in issue number 616161 too. I think I can help you if I can install FC13 on my platform with yours method.


Thanks,
Frank

Comment 25 frank huang 2010-08-30 08:28:27 UTC
Created attachment 441909 [details]
Konsole picture in FC12(similar as yours),24 bit depth

Konsole picture in FC12(similar as yours),24 bit depth

Comment 26 billiboy 2010-08-30 09:40:49 UTC
(In reply to comment #24)

> F12 with the new driver on KDE environment has no rendering issue on my
> platform(16 && 24 bit depth color), please see attached file. Use "rendercheck"

That is while you not using a native Fedora 12. You have updated the X server
manually. If a user installs Fedora 12 he will not get the manual update.
This is the live image I am using:
http://download.fedoraproject.org/pub/fedora/linux/releases/12/Live/i686/Fedora-12-i686-Live-KDE.iso
Maybe you can download it and than install the
xorg-x11-drv-geode-2.11.9-1.fc12.i386.rpm I provided.

> to see the depth of the screen. If that is r8g8b8, it is 24 bit depth.
> If that is always misrendering at your platform, have you tried depth 16? It is
> hard for me to debug the bug if I can not reproduce it.

If you can make the live image work, then you will have the same environment as I
and other FC12 users.

> For the 8042 error, I wait quite few minutes, still can not pass it...

Maybe you can provide a link where I can download your created image and
I can give it a try.

> And I have tried the Fedora-13-i386-DVD.iso and Fedora-13-i686-Live.iso , the
> OS can not be installed just as the FC13 can not support Geode. So I must use
> the way of yours (Live CD). But how can I pass this 8042 error??
> FC13 and FC14 rendering issue is reported in issue number 616161 too. I think I
> can help you if I can install FC13 on my platform with yours method.

Installing the released FC13 version is a no go. You have to use some
updated version, but this is not official available. You have to create it.
That is why I do not use FC13 for geode system.

Comment 27 billiboy 2010-08-30 15:10:12 UTC
I did some further investigation in Fedora-14-Alpha.
Since the xorg-x11-drv-geode rpm was some undefined release, I
rebuild the rpm with the xf86-video-geode-2.11.9.tar.bz2 tarball.
I only applied the 01-fix-lx_panel_modes patch to check if it
fixes my 1280x1024 auto detect mode issue. BTW it does.

With this driver installed so far all recognized rendering issues
in all tested configurations are gone.

But without "Option MigrationHeuristic greedy" set a refreshing
issue came to my attention.

How to reproduce:
Right click on desktop
Click Konsole
Execute less /var/log/Xorg.0.log
Press Down arrow a few times to scroll down
Press Up arrow to scroll up
Now only the top line gets updated and the remaining lines are
not scrolled down.

When "Option MigrationHeuristic greedy" is set this does not
happen and the scrolling feels even faster.

This happens also with the stock undefined release driver of
Fedora-14-Alpha.

Conclusion:
Using Fedora-14-Alpha with Xorg 1.9.0 no longer triggers the crash.
Using xf86-video-geode-2.11.9 fixes all recognized rendering issues.
New refreshing issue to investigate.

Comment 28 frank huang 2010-08-31 08:50:27 UTC
Billiboy,
  Definitely I have updated the Xserver version, but I don't think that is the root cause for your misrendering issue. On my geode platform, there are three differenct X server version(X1.6, X1.7 and lastest X1.9) I built. On these three versions, I have tried 2.11.9 driver, it is fine with rendering.

Comment 29 frank huang 2010-08-31 09:34:06 UTC
(In reply to comment #27)
> I did some further investigation in Fedora-14-Alpha.
> Since the xorg-x11-drv-geode rpm was some undefined release, I
> rebuild the rpm with the xf86-video-geode-2.11.9.tar.bz2 tarball.
> I only applied the 01-fix-lx_panel_modes patch to check if it
> fixes my 1280x1024 auto detect mode issue. BTW it does.
Before that, you havn't tried 2.11.9 from freedesktop? I have suggested you do so in the previous mail. 01-fix-lx_panel_modes patch? which one?
> 
> With this driver installed so far all recognized rendering issues
> in all tested configurations are gone.
Including the pictures you show me( F12 Desktop snapshot without Option MigrationHeuristic greedy )?
> 
> But without "Option MigrationHeuristic greedy" set a refreshing
> issue came to my attention.
> 
> How to reproduce:
> Right click on desktop
> Click Konsole
> Execute less /var/log/Xorg.0.log
> Press Down arrow a few times to scroll down
> Press Up arrow to scroll up
> Now only the top line gets updated and the remaining lines are
> not scrolled down.
I have tried to reproduce, no scroll is allowed. can you post a picture?
> 
> When "Option MigrationHeuristic greedy" is set this does not
> happen and the scrolling feels even faster.
> 
> This happens also with the stock undefined release driver of
> Fedora-14-Alpha.
> 
> Conclusion:
> Using Fedora-14-Alpha with Xorg 1.9.0 no longer triggers the crash.
> Using xf86-video-geode-2.11.9 fixes all recognized rendering issues.
> New refreshing issue to investigate.

Comment 30 frank huang 2010-08-31 09:34:47 UTC
I think we can discuss this issue together with 616161 guys if you want.

Comment 31 billiboy 2010-08-31 10:23:08 UTC
I have seen from the comments in bug 616161 that you have build
a FC12 live image. Can you please boot up this again?
In the directory where you can access my provided
xorg-x11-drv-geode-2.11.9-1.fc12.i386.rpm from comment #11
execute "rpm -Uhv xorg-x11-drv-geode-2.11.9-1.fc12.i386.rpm".
Put my xorg.conf from comment #12 (the wrong Xorg.log content)
in /etc/X11/xrog.conf and restart the X server.
Check Xorg.log if now geode 2.11.9 is used and try to
reproduce my issues.

Comment 32 billiboy 2010-08-31 11:45:07 UTC
Created attachment 442159 [details]
01-fix-lx_panel_modes.patch

(In reply to comment #29)

> Before that, you havn't tried 2.11.9 from freedesktop? I have suggested you do

I did it for FC12, for FC14-Alpha I used what was there. In preparation for
comment #27 I repeated it for FC14-Alpha. It is not so easy to do in a live
system, but I took the burden again (mainly to verify my patch).

> so in the previous mail. 01-fix-lx_panel_modes patch? which one?

The one I came up with by my self as there was no response to
https://bugs.freedesktop.org/show_bug.cgi?id=19301
See attachment 01 [details]-fix-lx_panel_modes.patch for reference.

>> With this driver installed so far all recognized rendering issues
>> in all tested configurations are gone.
> Including the pictures you show me( F12 Desktop snapshot without Option
> MigrationHeuristic greedy )?

All findings in comment #27 are regarding FC14-Alpha with geode 2.11.9.
With/Without greedy option, 16bpp/24bpp.
All findings in comment #11 regarding FC12 with geode 2.11.9 still apply.
Rendering issue without greedy option in F12 with 2.11.9 still apply.

> I have tried to reproduce, no scroll is allowed. can you post a picture?

Is your Xorg.log that short, that it fits completely on the whole screen?
Please try an other longer text file where scrolling is possibly.
A picture is of no help, as the effect is only viewable while the scrolling
is happening.

Comment 33 frank huang 2010-09-01 06:53:48 UTC
(In reply to comment #31)
> I have seen from the comments in bug 616161 that you have build
> a FC12 live image. Can you please boot up this again?
> In the directory where you can access my provided
> xorg-x11-drv-geode-2.11.9-1.fc12.i386.rpm from comment #11
> execute "rpm -Uhv xorg-x11-drv-geode-2.11.9-1.fc12.i386.rpm".
> Put my xorg.conf from comment #12 (the wrong Xorg.log content)
> in /etc/X11/xrog.conf and restart the X server.
> Check Xorg.log if now geode 2.11.9 is used and try to
> reproduce my issues.

Yes. I have successfully built an FC12 live image using Mathieu's ks file(http://bochecha.fedorapeople.org/geode/fedora-live-geode.ks) and then switch to TTYx after omitting the "i8042.c can't read CTR while initializing i8042" message I mentioned before. When I run "rpm -Uvh xorg-x11-drv-geode-2.11.9-1.fc12.i386.rpm", it failed to do so because the ks file Mathieu provided with me using an geode driver rpm using on FC13(So no update is permitted). Maybe I should comment the line "repo --name=local --baseurl=http://bochecha.fedorapeople.org/geode/i386/" and rebuild the CD ROM. Then I think your rpm file can be used. I try to make one today and let you see my result. 
BTW, today I built an FC13 live image(still using Mathieu's ks file) and see the rendering bug Mathieu reported on 616161 bug. Then I use your xorg.conf file with MigrationHeuristic option "greedy", the rendering issue is gone. But unfortunely, after I check the code, I found that if we use this option, HW rendering will not be used anymore, so all rendering work should be done by pixman(that must be correct, but the speed is quite slow). From what I get till now, I think there is rendering issue existing under FC13. So right now, I need some guide from you to use this Live CD.
I want to install the FC13 on my hard disk(or USB stick, Hard Disk is better), how can I do that with currect FC13 Live CD? I think besides this CD ROM, it need much more library and tools to build my debug environment. Is that ture?

Thanks,
Frank

Comment 34 frank huang 2010-09-01 06:59:18 UTC
And for the refreshing issue on Kconsole on FC14, I believe it should be existing if you comment MigrationHeuristic option because I have seen the rendering issue on FC13. So I think that should be existing.
I do the experiment on my FC12 OS, so this refreshing issue can not be reproduced.
Forgive me that I think I should sovle the FC13 rendering issue first, then turn to FC14. So we can focus on FC13 together with Mathieu.
You two guys can guide me build an debug environment on FC13.
The first thing is to install it on my Hard Disk.

Thanks,
Frank

Comment 35 frank huang 2010-09-01 08:05:06 UTC
I use /usr/bin/liveinst to install that on HD. But it fails. Can you give a try?

Comment 36 billiboy 2010-09-01 11:24:13 UTC
(In reply to comment #33)

> i8042" message I mentioned before. When I run "rpm -Uvh
> xorg-x11-drv-geode-2.11.9-1.fc12.i386.rpm", it failed to do so because the ks
> file Mathieu provided with me using an geode driver rpm using on FC13(So no
> update is permitted). Maybe I should comment the line "repo --name=local
> --baseurl=http://bochecha.fedorapeople.org/geode/i386/" and rebuild the CD ROM.
> Then I think your rpm file can be used. I try to make one today and let you see
> my result.

You missed the point:

> In the directory where you can access my provided
> xorg-x11-drv-geode-2.11.9-1.fc12.i386.rpm

You have to put it on an USB-stick or HD prior to booting the live image.
When the live image is booted, mount the device and change to the directory
where xorg-x11-drv-geode-2.11.9-1.fc12.i386.rpm is located.
In that directory as root user execute the "rpm" command.
It is possible to do the update, the root file system of the live image in RAM
is writable. The only difference between a running live image and an installed
version is that after a restart all modification are lost.
If the system is connected to an ethernet with internet access you can
even install and update from the online repositories.
It is like an installed version as long as you do not restart the system.
You can even get a persistent layer as Mathieu described in bug #616161
in comment #30 and all modifications will survive reboots.
So a live system is quite good for testing without the need to do an
install.

Comment 37 billiboy 2010-09-01 14:05:30 UTC
(In reply to comment #34)

> And for the refreshing issue on Kconsole on FC14, I believe it should be
> existing if you comment MigrationHeuristic option because I have seen the
> rendering issue on FC13. So I think that should be existing.
> I do the experiment on my FC12 OS, so this refreshing issue can not be
> reproduced.

I also do not see it on FC12. Maybe you can check it on F13 as I do not
have a F13 image.

> Forgive me that I think I should sovle the FC13 rendering issue first, then
> turn to FC14. So we can focus on FC13 together with Mathieu.

No problem, as we have now narrowed it down to the HW rendering code with
our "option greedy" tests maybe the refreshing issue has the same source
and is resolved by the same fix.

Comment 38 frank huang 2010-09-16 01:32:01 UTC
From my tests, Xserver 1.7&1.8 option MigrationHeuristic does have side effect on geode driver. So please try Xserver 1.9. I have given a try on FC13 with Xserver 1.9. Everything looks fine.

Comment 39 billiboy 2010-09-16 09:29:24 UTC
(In reply to comment #38)

> From my tests, Xserver 1.7&1.8 option MigrationHeuristic does have side effect
> on geode driver. So please try Xserver 1.9. I have given a try on FC13 with
> Xserver 1.9. Everything looks fine.

There is no point in trying Xserver 1.9 in the Fedora 12 distribution.
The common fedora user is using the released install sources and applies
updates from the official updates repositories. This will give him at most
Xserver 1.7.6 as of today. It is not likely that an official update behind
Xserver 1.7.x in FC12 will happen.
Bringing in xorg-x11-drv-geode-2.11.9-1.fc12.i386.rpm as an update in this
FC12 environment does not fix the issues as mentioned in comment #11.
So, to use FC12 on a geode system, the common user can not use the "geode"
driver with Xserver 1.7.x and has to use "fbdev" or "vesa" driver as a
workaround.
If this issues are fixed in the upcoming Fedora 14 distribution, which
will have Xserver 1.9.x and xorg-x11-drv-geode-2.11.9-1.fc14.i686.rpm,
than this bugreport can be closed with "fixed in next release".

Soon Fedora-14-Beta-i686-Live-KDE will be available and I will recheck.
If the refreshing issue, as mentioned in comment #27, still exists,
you can download the iso to be able to verify it by your self.
Of cause my "1280x1024 auto detect mode issue" will still persist as
the patch was only applied to my self made rpm. The fix has to be
applied upstream.

Comment 40 frank huang 2010-09-17 02:22:53 UTC
> There is no point in trying Xserver 1.9 in the Fedora 12 distribution.
> The common fedora user is using the released install sources and applies
> updates from the official updates repositories. This will give him at most
> Xserver 1.7.6 as of today. It is not likely that an official update behind
> Xserver 1.7.x in FC12 will happen.
You are correct from the usrs' viewpoint. But as an debug point, it is fine with Xserver 1.9 using geode driver. There is not too much evidance to prove there is a bug in geode driver now. From the talk in IRC, this is possibly due to X server change.
> Bringing in xorg-x11-drv-geode-2.11.9-1.fc12.i386.rpm as an update in this
> FC12 environment does not fix the issues as mentioned in comment #11.
> So, to use FC12 on a geode system, the common user can not use the "geode"
> driver with Xserver 1.7.x and has to use "fbdev" or "vesa" driver as a
> workaround.
Comment #11? My colleague uses Fedora-12-i386-DVD.iso(Xserver 1.7.1 default) from fedora website to install the whole system and use 2.11.9 driver, it is fine. Can you give a try? Based on the my work before, it is fine too. I have not tried LiveCD on FC12, so I can not make sure the difference between these two installtion methods. What I can make sure is that FC12 is ok with geode driver on my platform.
> If this issues are fixed in the upcoming Fedora 14 distribution, which
> will have Xserver 1.9.x and xorg-x11-drv-geode-2.11.9-1.fc14.i686.rpm,
> than this bugreport can be closed with "fixed in next release".
> 
> Soon Fedora-14-Beta-i686-Live-KDE will be available and I will recheck.
> If the refreshing issue, as mentioned in comment #27, still exists,
> you can download the iso to be able to verify it by your self.
> Of cause my "1280x1024 auto detect mode issue" will still persist as
> the patch was only applied to my self made rpm. The fix has to be
> applied upstream.
Ok. If you have new findings, please update here.

Comment 41 frank huang 2010-10-25 01:23:15 UTC
billiboy,

   What's new update here? The owner of #616161 has reported the driver work fine on FC14 with Xserver 1.9. Can you see if that can work fine with your platform.

Thanks,
Frank

Comment 42 billiboy 2010-10-28 20:14:43 UTC
(In reply to comment #41)

> What's new update here? The owner of #616161 has reported the driver work

Since there is no change in the official repositories for Fedora 12
comment #11 still applies.

Fedora-14-i686-Live-KDE RC1 image is available, but since the
xorg-x11-drv-geode-2.11.9-1.fc14.i686.rpm is only pushed as of
today to the updates repository, it is not included in the iso
image.
Nevertheless, I rechecked with Fedora-14-i686-Live-KDE RC1 and
the updated xorg-x11-drv-geode-2.11.9-1.fc14.i686.rpm.
Nothing changed, comment #27 still applies.
This approves at least there was no error introduced by my
self made driver build.

Comment 43 frank huang 2010-10-29 01:40:35 UTC
If I am right, you only issue is the "refreshing issue" on FC14?

Comment 44 billiboy 2010-10-29 07:13:25 UTC
(In reply to comment #43)

> If I am right, you only issue is the "refreshing issue" on FC14?

Yes, and the initial bug in Fedora 12, but I guess this can not
be fixed because there is no fix known which can be included in
the official Fedora 12.

Comment 45 Bug Zapper 2010-11-04 05:39:09 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 46 Bug Zapper 2010-12-04 02:56:01 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.